Subject: bug#67203: closed (Re: bug#67203: [PATCH] * lisp/calendar/diary-lib.el (diary-list-entries-2) skip leading whitespace in diary entries)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 29 Dec 2023 03:43:02 +0000

Your bug report

#67203: [PATCH] * lisp/calendar/diary-lib.el (diary-list-entries-2) skip leading whitespace in diary entries

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67203: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67203
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#67203: [PATCH] * lisp/calendar/diary-lib.el (diary-list-entries-2) skip leading whitespace in diary entries
From: Stefan Kangas <[email-masked]>
To: "Paul W. Rankin" <[email-masked]>
Cc: [email-masked]
Date: Thu, 28 Dec 2023 19:42:01 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

"Paul W. Rankin" <[email-masked]> writes:

> Sorry for the late reply. I actually stopped using calendar. Twas but a
> brief interlude. I think there's a problem with my patch anyway.

OK, thanks.  I'm therefore closing this bug report.

Subject: [PATCH] * lisp/calendar/diary-lib.el (diary-list-entries-2) skip leading whitespace in diary entries
From: "Paul W. Rankin" <[email-masked]>
To: [email-masked]
Cc: "Paul W. Rankin" <[email-masked]>
Date: Wed, 15 Nov 2023 21:13:31 +1000
List-Id: <debbugs-submit.debbugs.gnu.org>

---
When diary entries have more than a single space between date and entry
this is displayed in diary display. This skips the leading whitespace.

 lisp/calendar/diary-lib.el | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/lisp/calendar/diary-lib.el b/lisp/calendar/diary-lib.el
index 0d894f1..6806039 100644
--- a/lisp/calendar/diary-lib.el
+++ b/lisp/calendar/diary-lib.el
@@ -697,6 +697,8 @@ any entries were found."
                 (setq date-start (line-end-position 0))
                 ;; Actual entry starts on the next-line?
                 (if (looking-at "[ \t]*\n[ \t]") (forward-line 1))
+                ;; We don't want leading whitespace
+                (skip-chars-forward " \t")
                 (setq entry-found t
                       entry-start (point))
                 (forward-line 1)
-- 
2.42.0